<?php

namespace App\Controller\Section;

use App\Entity\Section\Section;
use App\Entity\Site\Page;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\ChoiceField;
use EasyCorp\Bundle\EasyAdminBundle\Field\FormField;
use EasyCorp\Bundle\EasyAdminBundle\Field\NumberField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\CaracoleBundle\Controller\AbstractAdminController;
use Lc\SovBundle\Field\BooleanField;
use Lc\SovBundle\Field\CKEditorField;
use Lc\SovBundle\Field\StatusField;

class SectionAdminController extends AbstractAdminController
{
    public static function getEntityFqcn(): string
    {
        return Section::class;
    }

    public function configureFields(string $pageName): iterable
    {
        $panel = parent::configureFields($pageName);

        return array_merge(
                [
                        FormField::addPanel('general'),
                        TextField::new('title'),
                        //AssociationField::new('merchant'),
                        ChoiceField::new('cycle')
                                ->setRequired(true)
                                ->setChoices(
                                        [
                                                'Jour' => Section::CYCLE_DAY,
                                                'Semaine' => Section::CYCLE_WEEK,
                                                'Mois' => Section::CYCLE_MONTH,
                                                'Année' => Section::CYCLE_YEAR,
                                        ]
                                ),
                        TextField::new('color')
                                ->setRequired(true)
                                ->hideOnIndex(),
                        NumberField::new('position')
                                ->hideOnForm()
                                ->hideOnIndex(),
                        CKEditorField::new('description')
                                ->hideOnIndex(),
                        StatusField::new('status'),
                        BooleanField::new('isDefault', 'Section par défaut'),
                ],
                $panel
        );
    }

}
